### Method

# Panel SessionItem has_metadata_with_type

#### Declaration [src]

    gboolean
    panel_session_item_has_metadata_with_type (
      PanelSessionItem* self,
      const char* key,
      const GVariantType* expected_type
    )

#### Description [src]

Checks if the item contains metadata `key` with `expected_type`.

#### Parameters

`key`

  Type: `const char*`

  The metadata key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`expected_type`

  Type: `GVariantType`

  The `GVariantType` to check for `key`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if a value was found for `key` matching `expected_typed`; otherwise `FALSE` is returned.